
Foreman - Feature #544

foreman<->smart-proxy communication should support ssl

12/16/2010 02:32 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Proxy gateway   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A https connection should be the default for smart-proxy requests

Associated revisions

Revision 455f5d2b - 03/30/2011 10:31 AM - Paul Kelly

Fixes #544 - Foreman connects using an ssl certificate

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 03/15/2011 04:00 AM - Ohad Levy

- Category set to Proxy gateway

- Assignee set to Paul Kelly

Paul, do you want to include this one in 0.2?

#2 - 03/17/2011 09:33 AM - Paul Kelly

- Status changed from New to Ready For Testing

#3 - 03/30/2011 08:39 AM - Paul Kelly

Only connects using ssl if the smartproxy url is https://XXXX

#4 - 03/30/2011 10:31 AM - Ohad Levy

- Target version set to 0.3

#5 - 03/30/2011 02:53 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 455f5d2ba487abc6fc7d52c8ce164f0a0834bc2e.

#6 - 04/12/2011 04:45 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

it already supported ssl, this patch adds SSL verifications based on certificates (allowing to reuse puppet certificates as well).

Paul, would you mind documenting this change somewhere?
